Subject: Re: WG Last Call Completed: draft-ietf-ccamp-gmpls-overlay-03.txt

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 28 Mar 2004 15:33:22 +0100

Oh, I should have said...

Please use the new IPR and copyright boilerplate.

Thanks,
Adrian
----- Original Message ----- 
From: "Adrian Farrel" <[email-masked]>
To: <[email-masked]>
Sent: Sunday, March 28, 2004 3:03 PM
Subject: WG Last Call Completed: draft-ietf-ccamp-gmpls-overlay-03.txt

> Authors,
>
> The WG last call for this draft has completed.
> No comments were made on the list, but a private comment was sent to the chairs as
below.
>
> I suggest you either:
> - make the change suggested by Kireeti *and* reference Lou's new egress control draft
> or
> - simply add a reference to Lou's new draft.
>
> When you have done this we can pass the draft to the ADs.
>
> Thanks,
> Adrian
>
> ======
>
> Hi Adrian and Kireeti,
>
> Would it be possible to include in the following the text for section 3.3 as proposed
> after the ietf58 meeting by Kireeti:
>
> <http://psg.com/lists/ccamp/ccamp.2003/msg01015.html>
>
> "Suggested change of text for the Overlay draft:
>
> REPLACE:
>
> 3.3. Explicit Label Control
>
>     In order to support explicit label control and full identification of
>     the egress link an ingress edge-node may include an ERO that consists
>     of only the last hop.  This is signaled by setting the first
>     subobject of the ERO to the node-ID of the egress core-node with the
>     L-bit set.  Following this subobject are all other subobjects
>     necessary to identify the link and labels as they would normally
>     appear.
>
> WITH:
>
> 3.3. Explicit Label Control
>
>     In order to support explicit label control and full identification of
>     the egress link, an ingress edge-node may include an ERO whose last
>     group of subobjects are set as follows:
>        subobject identifying the egress core-node (CN3);
>        subobject identifying the link I downstream of CN3 (if needed);
>        subobject identifying the label(s) L1 and L2 on link I (if needed)
>
>                                       U1/D1      I:U2/D2
>          EN1 ------- CN1 ------- CN2 ------- CN3 ------- EN2
>
>     These may be the only subobjects in the ERO, or there may be others
>     preceding them.
>
>     The subobject identifying the egress core-node MAY have the L-bit
>     set.  If so, the egress core-node SHOULD NOT send a PathErr, despite
>     section 5.1.1 of RFC 3473.
>
>     On receiving such an ERO, the egress core-node CN3 MUST cross-connect
>     the downstream label D1 that it sends to its upstream node CN2 with
>     the downstream explicit label D2 associated with CN3 in the ERO.  If
>     the LSP is bidirectional, CN3 MUST also cross-connect the upstream
>     label U2 in the ERO with the upstream label U1 it received from CN2.
>
>     If either of these cross-connections fails, the egress core-node
>     SHOULD send a PathErr with <error code>."
>
> ==============
>
> > As discussed in the CCAMP meeting today,
> > draft-ietf-ccamp-gmpls-overlay-03.txt has been
> > updated with a few minor changes and is now ready for working group last
> > call.
> >
> > Several vendors have indicated that they support this function.
> >
> > This email begins a working group last call on
> > draft-ietf-ccamp-gmpls-overlay-03.txt
> > The last call will end on Friday 26th March at 12 noon GMT.
> >
> > http://www.ietf.org/internet-drafts/draft-ietf-ccamp-gmpls-overlay-03.txt
> >
> > Comments to the list or to the chairs direct.
> > Thanks,
> > Adrian
>
>
>
>
>
> ----- Original Message ----- 
> From: "Adrian Farrel" <[email-masked]>
> To: <[email-masked]>
> Sent: Thursday, March 04, 2004 9:38 AM
> Subject: Last call on draft-ietf-ccamp-gmpls-overlay-03.txt
>
>
> > As discussed in the CCAMP meeting today, draft-ietf-ccamp-gmpls-overlay-03.txt has
been
> > updated with a few minor changes and is now ready for working group last call.
> >
> > Several vendors have indicated that they support this function.
> >
> > This email begins a working group last call on draft-ietf-ccamp-gmpls-overlay-03.txt
> > The last call will end on Friday 26th March at 12 noon GMT.
> >
> > http://www.ietf.org/internet-drafts/draft-ietf-ccamp-gmpls-overlay-03.txt
> >
> > Comments to the list or to the chairs direct.
> > Thanks,
> > Adrian
> >
> >
> >
>